Pass your token via an Authorization header like this: Authorization: Bearer {token}.
Get all abandoned-carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "user" "user_customer" "customer_representative" Example: include=user Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" "transport_costs" "total_price" Examples:
Calculated properties to include |
object Example: uuid=9d63f3a9-535d-4503-9d70-d2718311f5d4 |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "subtotal_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all alerts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
object Example: uuid=fa320018-4bd6-4ee2-a14c-536f14da15c5 |
{- "data": [
- {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8a747e5a-288c-4b80-97ff-73682c811b6a"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all base-prices
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=21463811-3811-4b6f-9f12-185c2cf89f45 |
{- "data": [
- {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "aeeca0c1-acc6-4b01-8aeb-992fc85c3d79"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Value: "product" Example: include=product Relations to include |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "aeeca0c1-acc6-4b01-8aeb-992fc85c3d79"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get a single item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "aeeca0c1-acc6-4b01-8aeb-992fc85c3d79"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Update an item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "aeeca0c1-acc6-4b01-8aeb-992fc85c3d79"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all brands
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
object Example: uuid=99c45af3-5ce1-4a8f-94eb-47fe88c6a2b0 |
{- "data": [
- {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "8296b238-714d-4c9a-9587-a556baabf3b9"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all business-contexts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=68822f5d-d2d7-4987-a663-4c3db84e3820 |
{- "data": [
- {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all callbacks
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=bc341d3b-653b-4cbd-ada6-c769e0b53d9d |
{- "data": [
- {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get a single item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Update an item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get all carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
object Example: uuid=d37da849-5436-4677-8d41-513efcb85752 |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "subtotal_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "subtotal_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
}Get all carts.items
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=53b5a455-7fe0-45f9-b9bf-da93bce79c0d |
{- "data": [
- {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "834f709b-9cba-4c80-b667-79c851670680"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| item-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "834f709b-9cba-4c80-b667-79c851670680"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1d8feb27-89bc-496e-800b-535fcf3af8e5"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all catalogs
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=6ec22d67-3431-4331-9228-191b23615747 |
{- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all collections
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=404a8b9d-2390-443d-a5c9-30bc6609f94e&code=et&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Update an item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "cc39bdca-76f4-4a30-9cbe-655c62e4be98"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get all collections.children
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=435386ab-1b8e-418e-a5a6-8649ee3c0dfc&code=dolores&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "1ec11315-d1f0-4433-9acd-4622c8ab29d0"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "1ec11315-d1f0-4433-9acd-4622c8ab29d0"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "1ec11315-d1f0-4433-9acd-4622c8ab29d0"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "1ec11315-d1f0-4433-9acd-4622c8ab29d0"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "1ec11315-d1f0-4433-9acd-4622c8ab29d0"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "1ec11315-d1f0-4433-9acd-4622c8ab29d0"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.parent
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=64f721f2-adb9-4cba-ae65-65f7b2f9294d&code=voluptas&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "5722f472-8251-404a-88aa-43a263b7e6be"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "5722f472-8251-404a-88aa-43a263b7e6be"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "5722f472-8251-404a-88aa-43a263b7e6be"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "5722f472-8251-404a-88aa-43a263b7e6be"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "5722f472-8251-404a-88aa-43a263b7e6be"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "5722f472-8251-404a-88aa-43a263b7e6be"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.products
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
object Example: uuid=681fae06-a508-4704-a19d-1e7095b11cdc&code=13821383&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| product-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "99ad8cf9-1262-4b42-a065-d87ecba455b0"
}
]
}, - "extras": {
- "data": [
- {
[...]
